<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <<div class="container">
    <h3>Tugas Form Input Binding</h3>
    <div id="app">
        <input v-model="query">
        <li
 
			v-for="(item, index) in result"

			v-bind:key="item.buku"

			v-bind:data-index="index"

			>{{ item.buku }}

		</li>
        
	</div>
        
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script> 
    <script> 
        new Vue({
            el: "#app",
            data: {
                query:"",
                list:[
                	{ buku: "Kalkulus Dasar"},
                    { buku: "Fisika Dasar"},
                    { buku: "Aljabar Linier Elementer"},
                    { buku: "Aljabar Abstract"},
                    { buku: "Algoritma Pemrograman"},
                ],
                isSearching:false,
                result: []
            },
            watch: {
                query: function () {
                    var vm = this
                    this.isSearching = true;
					setTimeout(function(){

					    vm.result = vm.list.filter(function (item){
                            return item.buku.toLowerCase().indexOf(vm.query.toLowerCase()) !== -1
                        })
                    }, 500)
                }
            },
        });
    </script> 

</body>
</html>